HuffmanEncoder Class Reference

Huffman Encoder. More...

`#include <zdeflate.h>`

## Classes

struct | Code

## Public Types

typedef unsigned int | code_t
typedef unsigned int | value_t

## Public Member Functions

| HuffmanEncoder (const unsigned int *codeBits, unsigned int nCodes)
void | Initialize (const unsigned int *codeBits, unsigned int nCodes)
void | Encode (LowFirstBitWriter &writer, value_t value) const

## Static Public Member Functions

static void | GenerateCodeLengths (unsigned int *codeBits, unsigned int maxCodeBits, const unsigned int *codeCounts, size_t nCodes)

## Public Attributes

SecBlock< Code > | m_valueToCode

## Detailed Description

Huffman Encoder.

Definition at line 30 of file zdeflate.h.

The documentation for this class was generated from the following file:

- zdeflate.h